PayNow

Payments

Get payments

GEThttps://api.paynow.gg/v1/stores/{storeId}/payments

Retrieves all payments for the specified store using the filter specified.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Query parameters
limitintegerOptional
The maximum number of items to return in a single request.
afterFlakeIdOptional
Returns items after the specified ID. Used for forward pagination through results.
beforeFlakeIdOptional
Returns items before the specified ID. Used for backward pagination through results.
ascbooleanOptional
Determines the sort order of returned items. When true, items are returned in ascending order. When false, items are returned in descending order.
statusenum[]Optional
Filter by payment statuses
order_idFlakeIdOptional
Filter by order ID
customer_idFlakeIdOptional
Filter by customer ID
Response
200OKPaymentDto[]
Represents a payment transaction
Show fields
amountintegerRequired
The total payment amount in smallest currency unit
chargeback_statusenumRequired
Represents chargeback status of a payment
Possible enum values
  • none

    No chargeback

  • pending

    Chargeback is pending

  • won

    Chargeback dispute was won

  • lost

    Chargeback dispute was lost

created_atstringRequired
The date and time when this payment was created
currencystringRequired
The currency code used for this payment in the store's currency
customerCustomerDtoRequired
Represents a customer in the PayNow system with their associated profiles and metadata.
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.
customer_idFlakeIdRequired
gatewaystringRequired
The payment gateway provider
gateway_entity_identifierstringRequired
The gateway entity identifier
gateway_fee_amountintegerRequired
The gateway fee amount in smallest currency unit
gateway_idstringRequired
The gateway payment identifier
idFlakeIdRequired
methodPaymentMethodDtoRequired
Represents a stored payment method
created_atstringRequired
The date and time when this payment method was created
customer_idFlakeIdRequired
gatewaystringRequired
The payment gateway provider
gateway_customer_idstringRequired
The gateway's customer identifier
gateway_entity_identifierstringRequired
The gateway entity identifier
gateway_idstringRequired
The gateway's identifier for this payment method
gateway_typestringRequired
The gateway-specific type identifier
idFlakeIdRequired
method_detailsPaymentMethodDetailsDtoRequired
Contains detailed information about a payment method. DISCLAIMER: These fields are not guaranteed to be backwards compatible and may change or be removed without notice.
alipayAlipayDetailsDtoOptional
→ AlipayDetailsDto
bancontactBancontactDetailsDtoOptional
→ BancontactDetailsDto
cardCardDetailsDtoOptional
→ CardDetailsDto
cashappCashAppDetailsDtoOptional
→ CashAppDetailsDto
cryptoCryptoDetailsDtoOptional
→ CryptoDetailsDto
idealIdealDetailsDtoOptional
→ IdealDetailsDto
klarnaKlarnaDetailsDtoOptional
→ KlarnaDetailsDto
linkLinkDetailsDtoOptional
→ LinkDetailsDto
p24P24DetailsDtoOptional
→ P24DetailsDto
pay_by_bankPayByBankDetailsDtoOptional
→ PayByBankDetailsDto
paypalPayPalDetailsDtoOptional
→ PayPalDetailsDto
paysafecardPaysafeCardDetailsDtoOptional
→ PaysafeCardDetailsDto
pixPixDetailsDtoOptional
→ PixDetailsDto
steamskinsSteamSkinsDetailsDtoOptional
→ SteamSkinsDetailsDto
method_typestringRequired
The payment method type
updated_atstringOptional
The date and time when this payment method was last updated
order_idFlakeIdRequired
platform_fee_amountintegerRequired
The platform fee amount in smallest currency unit
platform_fee_rateintegerRequired
The platform fee rate applied to this payment (in basis points)
presentment_amountintegerRequired
The amount presented to the customer in smallest currency unit
presentment_currencystringRequired
The currency code used for presentment to the customer
statusenumRequired
Represents payment status
Possible enum values
  • unknown

    Unknown status

  • created

    Payment has been created but not yet processed

  • pending

    Payment is pending processing

  • completed

    Payment has been completed successfully

  • canceled

    Payment has been canceled

  • failed

    Payment has failed

  • refunded

    Payment has been fully refunded

  • chargeback

    Payment has been charged back

  • refund_failed

    Refund processing failed

  • refund_processing

    Refund is currently processing

store_idFlakeIdRequired
store_net_amountintegerRequired
The net amount going to the store in smallest currency unit
tax_amountintegerRequired
The tax amount in smallest currency unit
canceled_atstringOptional
The date and time when this payment was canceled
chargeback_atstringOptional
The date and time when a chargeback was initiated on this payment
chargeback_status_updated_atstringOptional
The date and time when the chargeback status was last updated
completed_atstringOptional
The date and time when this payment was completed
failed_atstringOptional
The date and time when this payment failed
fx_ratenumberOptional
The foreign exchange rate used for currency conversion
last_payment_errorLastPaymentErrorDtoOptional
The last payment decline object.
decline_codeenumRequired
A payment decline reason code.
Possible enum values
  • unknown

    An unknown error occurred during payment processing.

  • generic_decline

    The payment was declined for an unspecified reason.

  • call_issuer

    The payment provider requires the customer to contact them.

  • authentication_required

    Additional authentication is needed to complete the transaction.

  • currency_not_supported

    The chosen currency is not supported by this payment method.

  • duplicate_transaction

    An identical transaction was recently processed.

  • expired_card

    The payment method has passed its expiration date.

  • fraudulent

    The payment was flagged as potentially fraudulent.

  • incorrect_number

    The provided payment number is invalid.

  • incorrect_cvc

    The security code for the payment method is incorrect.

  • incorrect_pin

    The entered PIN is not valid.

  • incorrect_zip

    The provided billing postal code is incorrect.

  • insufficient_funds

    The payment method lacks sufficient funds for the transaction.

  • invalid_account

    The payment method or associated account is not valid.

  • invalid_amount

    The transaction amount is not allowed or is invalid.

  • invalid_expiry_month

    The expiration month for the payment method is invalid.

  • invalid_expiry_year

    The expiration year for the payment method is invalid.

  • issuer_not_available

    The payment provider's systems are currently unavailable.

  • lost_card

    The payment method has been reported as lost.

  • merchant_blacklist

    The transaction was blocked by PayNow's security measures.

  • new_account_information_available

    Updated information is available for the payment method.

  • no_action_taken

    The payment provider took no action on this transaction.

  • pickup_card

    The payment method has been flagged and cannot be used.

  • pin_try_exceeded

    Too many incorrect PIN attempts have been made.

  • restricted_card

    The payment method has restrictions preventing its use.

  • stolen_card

    The payment method has been reported as stolen.

  • testmode_decline

    A test payment method was used in a live environment.

  • try_again_later

    A temporary issue prevented the transaction from completing.

  • security_violation

    A security issue occurred during the transaction.

  • card_velocity_exceeded

    The payment method has exceeded its usage limits.

  • do_not_honor

    The payment provider has chosen not to process this transaction.

  • processing_error

    An error occurred while processing the payment.

  • card_not_supported

    This payment method doesn't support this type of transaction.

  • transaction_not_allowed

    This specific transaction is not permitted for this payment method.

  • authorization_revoked

    The payment authorization has been revoked.

  • store_blocked

    The payment was blocked by one of your store's configured rules.

messagestringRequired
Human-readable decline reason message.
method_idFlakeIdOptional
payout_split_resultsPaymentPayoutSplitResultDto[]Optional
The payout split results for multi-party payments
connected_platform_fee_amountintegerRequired
The connected platform fee amount in smallest currency unit
gateway_fee_amountintegerRequired
The gateway fee amount in smallest currency unit
gross_amountintegerRequired
The gross amount before fees in smallest currency unit
line_idFlakeIdRequired
net_amountintegerRequired
The net amount after all fees in smallest currency unit
platform_fee_amountintegerRequired
The platform fee amount in smallest currency unit
tax_amountintegerRequired
The tax amount in smallest currency unit
user_idFlakeIdRequired
payout_split_rulesPaymentPayoutSplitRuleDto[]Optional
The payout split rules for multi-party payments
line_amount_taxintegerRequired
The tax amount of the line item in smallest currency unit
line_amount_totalintegerRequired
The total amount of the line item in smallest currency unit
line_idFlakeIdRequired
splitsPaymentPayoutSplitRuleSplitDto[]Required
The list of splits defining how the payout should be divided
platform_fee_percentageintegerRequired
The platform fee percentage applied to this split (in basis points)
user_idFlakeIdRequired
percentageintegerOptional
The percentage of the line amount this user receives (in basis points, e.g., 5000 = 50%)
pending_atstringOptional
The date and time when this payment entered pending status
refunded_atstringOptional
The date and time when this payment was last refunded
refundsRefundDto[]Optional
The list of refunds associated with this payment
amountintegerRequired
Amount of the refund in smallest currency unit (e.g., cents)
amount_strstringRequired
String representation of the refund amount, formatted for display
created_atstringRequired
Date and time when the refund was created
currencystringRequired
Three-letter currency code of the refund
customer_idFlakeIdRequired
gateway_fee_amountintegerRequired
Amount of payment processor fees in smallest currency unit
gateway_fee_amount_strstringRequired
String representation of gateway fee amount, formatted for display
idFlakeIdRequired
payment_idFlakeIdRequired
platform_fee_amountintegerRequired
Amount of platform fees in smallest currency unit
platform_fee_amount_strstringRequired
String representation of platform fee amount, formatted for display
refund_from_connected_user_balancebooleanRequired
Indicates whether the refund should be taken from the connected user's balance. Only relevant for platforms.
statusenumRequired
Represents the current status of a refund in the system
Possible enum values
  • created

    Refund has been created but not yet processed

  • approved

    Refund has been approved but not yet processed (reserved for customer requested refunds)

  • processing

    Refund is currently being processed by the payment system

  • completed

    Refund has been successfully completed

  • canceled

    Refund has been canceled before completion

  • failed

    Refund processing has failed

store_idFlakeIdRequired
store_net_amountintegerRequired
Net amount for the store after fees in smallest currency unit
store_net_amount_strstringRequired
String representation of store net amount, formatted for display
store_refund_amountintegerRequired
Amount of the refund to be paid by the store in smallest currency unit
store_refund_amount_strstringRequired
String representation of store refund amount, formatted for display
tax_amountintegerRequired
Amount of tax being refunded in smallest currency unit
tax_amount_strstringRequired
String representation of tax amount, formatted for display
approved_atstringOptional
Optional date and time when the refund was approved
canceled_atstringOptional
Optional date and time when the refund was canceled
completed_atstringOptional
Optional date and time when the refund was completed
failed_atstringOptional
Optional date and time when the refund failed
failure_reasonstringOptional
Reason for failure if the refund has failed
fx_ratestringOptional
Exchange rate used while refunding. Only present for payments made in non-settlement currency.
order_line_idFlakeIdOptional
pending_atstringOptional
Optional date and time when the refund entered pending status
presentment_amountintegerOptional
Optional amount in presentment currency in smallest currency unit
presentment_currencystringOptional
Optional currency code used for presentment to the customer if different from the base currency

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/payments" \
  -H "Authorization: APIKey TOKEN"
Response200
[
  {
    "amount": 10000,
    "chargeback_status": "none",
    "created_at": "2025-04-01T15:30:45Z",
    "currency": "usd",
    "customer": {
      "created_at": "2024-01-01T00:00:00Z",
      "id": "411486491630370816",
      "metadata": {},
      "store_id": "411486491630370816",
      "profile": {
        "id": "string",
        "name": "string",
        "platform": "steam",
        "avatar_url": "string"
      },
      "steam_id": "76561197960287930",
      "steam": {
        "avatar_url": "string",
        "id": "76561197960287930",
        "name": "string"
      },
      "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
      "minecraft": {
        "avatar_url": "string",
        "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
        "name": "notch"
      },
      "xbox_xuid": "string",
      "minecraft_platform": "unknown",
      "name": "m0uka",
      "updated_at": "2024-01-01T00:00:00Z"
    },
    "customer_id": "411486491630370816",
    "gateway": "stripe",
    "gateway_entity_identifier": "string",
    "gateway_fee_amount": 320,
    "gateway_id": "string",
    "id": "411486491630370816",
    "method": {
      "created_at": "2025-03-15T10:20:30Z",
      "customer_id": "411486491630370816",
      "gateway": "string",
      "gateway_customer_id": "string",
      "gateway_entity_identifier": "string",
      "gateway_id": "string",
      "gateway_type": "card",
      "id": "411486491630370816",
      "method_details": {
        "card": {
          "brand": "visa",
          "country": "US",
          "exp_month": 12,
          "exp_year": 2028,
          "fingerprint": "abc123def456",
          "funding": "credit",
          "last4": "4242",
          "bin": 424242,
          "issuer": "Chase Bank",
          "description": "Visa Signature",
          "brand_product": "F",
          "wallet": {
            "type": "apple_pay"
          }
        },
        "cashapp": {
          "buyer_id": "buyer_abc123",
          "cashtag": "$johndoe"
        },
        "paypal": {
          "country": "US",
          "payer_email": "[email protected]",
          "payer_id": "PAYERID123",
          "payer_name": "John Doe",
          "vault": true,
          "pending_vault_approval": false,
          "standalone_setup": false
        },
        "link": {
          "email": "[email protected]"
        },
        "crypto": {
          "confirmations": 6,
          "crypto_amount": "0.00150000",
          "crypto_currency": "BTC",
          "total_paid": "0.00150000",
          "transaction_hashes": [
            "string"
          ]
        },
        "steamskins": {
          "items": [
            {
              "app_id": 730,
              "id": "string",
              "name": "AK-47 | Redline",
              "price": 2500
            }
          ]
        },
        "ideal": {
          "bank": "abn_amro",
          "bic": "ABNANL2A",
          "iban_last4": 1234,
          "payer_name": "John Doe"
        },
        "p24": {
          "bank": "ing",
          "payer_name": "Jan Kowalski"
        },
        "bancontact": {
          "bank": "bnp_paribas",
          "bank_name": "BNP Paribas",
          "bic": "GEBABEBB",
          "iban_last4": 3456,
          "payer_name": "Jean Dupont"
        },
        "klarna": {
          "country": "SE",
          "method_category": "pay_later"
        },
        "alipay": {
          "buyer_id": "buyer_abc123",
          "fingerprint": "fingerprint_xyz789"
        },
        "pay_by_bank": {
          "bank_name": "Chase Bank",
          "bic": "CHASUS33",
          "country": "US",
          "payer_name": "John Smith"
        },
        "pix": {
          "bank_name": "Banco do Brasil",
          "bank_account_number": "12345-6",
          "payer_name": "João Silva"
        },
        "paysafecard": {
          "first_name": "string",
          "last_name": "string",
          "psc_id": "string",
          "association_id": "string"
        }
      },
      "method_type": "card",
      "updated_at": "2025-03-20T14:30:00Z"
    },
    "order_id": "411486491630370816",
    "platform_fee_amount": 500,
    "platform_fee_rate": 500,
    "presentment_amount": 9500,
    "presentment_currency": "eur",
    "status": "unknown",
    "store_id": "411486491630370816",
    "store_net_amount": 8330,
    "tax_amount": 850,
    "refunds": [
      {
        "amount": 0,
        "amount_str": "string",
        "created_at": "2024-01-01T00:00:00Z",
        "currency": "string",
        "customer_id": "411486491630370816",
        "gateway_fee_amount": 0,
        "gateway_fee_amount_str": "string",
        "id": "411486491630370816",
        "payment_id": "411486491630370816",
        "platform_fee_amount": 0,
        "platform_fee_amount_str": "string",
        "refund_from_connected_user_balance": true,
        "status": "created",
        "store_id": "411486491630370816",
        "store_net_amount": 0,
        "store_net_amount_str": "string",
        "store_refund_amount": 0,
        "store_refund_amount_str": "string",
        "tax_amount": 0,
        "tax_amount_str": "string",
        "order_line_id": "411486491630370816",
        "failure_reason": "string",
        "presentment_currency": "string",
        "presentment_amount": 0,
        "fx_rate": "string",
        "approved_at": "2024-01-01T00:00:00Z",
        "pending_at": "2024-01-01T00:00:00Z",
        "completed_at": "2024-01-01T00:00:00Z",
        "canceled_at": "2024-01-01T00:00:00Z",
        "failed_at": "2024-01-01T00:00:00Z"
      }
    ],
    "method_id": "411486491630370816",
    "fx_rate": 1.085,
    "chargeback_status_updated_at": "2024-01-01T00:00:00Z",
    "payout_split_rules": [
      {
        "line_amount_tax": 850,
        "line_amount_total": 10000,
        "line_id": "411486491630370816",
        "splits": [
          {
            "platform_fee_percentage": 500,
            "user_id": "411486491630370816",
            "percentage": 5000
          }
        ]
      }
    ],
    "payout_split_results": [
      {
        "connected_platform_fee_amount": 100,
        "gateway_fee_amount": 320,
        "gross_amount": 10000,
        "line_id": "411486491630370816",
        "net_amount": 8230,
        "platform_fee_amount": 500,
        "tax_amount": 850,
        "user_id": "411486491630370816"
      }
    ],
    "pending_at": "2025-04-01T15:30:46Z",
    "completed_at": "2025-04-01T15:31:12Z",
    "canceled_at": "2024-01-01T00:00:00Z",
    "failed_at": "2024-01-01T00:00:00Z",
    "refunded_at": "2024-01-01T00:00:00Z",
    "chargeback_at": "2024-01-01T00:00:00Z",
    "last_payment_error": {
      "decline_code": "unknown",
      "message": "string"
    }
  }
]

Get payment by ID

GEThttps://api.paynow.gg/v1/stores/{storeId}/payments/{paymentId}

Retrieves a payment by an ID.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
paymentIdFlakeIdRequired
Response
200OKPaymentDto
Represents a payment transaction
Show fields
amountintegerRequired
The total payment amount in smallest currency unit
chargeback_statusenumRequired
Represents chargeback status of a payment
Possible enum values
  • none

    No chargeback

  • pending

    Chargeback is pending

  • won

    Chargeback dispute was won

  • lost

    Chargeback dispute was lost

created_atstringRequired
The date and time when this payment was created
currencystringRequired
The currency code used for this payment in the store's currency
customerCustomerDtoRequired
Represents a customer in the PayNow system with their associated profiles and metadata.
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.
customer_idFlakeIdRequired
gatewaystringRequired
The payment gateway provider
gateway_entity_identifierstringRequired
The gateway entity identifier
gateway_fee_amountintegerRequired
The gateway fee amount in smallest currency unit
gateway_idstringRequired
The gateway payment identifier
idFlakeIdRequired
methodPaymentMethodDtoRequired
Represents a stored payment method
created_atstringRequired
The date and time when this payment method was created
customer_idFlakeIdRequired
gatewaystringRequired
The payment gateway provider
gateway_customer_idstringRequired
The gateway's customer identifier
gateway_entity_identifierstringRequired
The gateway entity identifier
gateway_idstringRequired
The gateway's identifier for this payment method
gateway_typestringRequired
The gateway-specific type identifier
idFlakeIdRequired
method_detailsPaymentMethodDetailsDtoRequired
Contains detailed information about a payment method. DISCLAIMER: These fields are not guaranteed to be backwards compatible and may change or be removed without notice.
alipayAlipayDetailsDtoOptional
→ AlipayDetailsDto
bancontactBancontactDetailsDtoOptional
→ BancontactDetailsDto
cardCardDetailsDtoOptional
→ CardDetailsDto
cashappCashAppDetailsDtoOptional
→ CashAppDetailsDto
cryptoCryptoDetailsDtoOptional
→ CryptoDetailsDto
idealIdealDetailsDtoOptional
→ IdealDetailsDto
klarnaKlarnaDetailsDtoOptional
→ KlarnaDetailsDto
linkLinkDetailsDtoOptional
→ LinkDetailsDto
p24P24DetailsDtoOptional
→ P24DetailsDto
pay_by_bankPayByBankDetailsDtoOptional
→ PayByBankDetailsDto
paypalPayPalDetailsDtoOptional
→ PayPalDetailsDto
paysafecardPaysafeCardDetailsDtoOptional
→ PaysafeCardDetailsDto
pixPixDetailsDtoOptional
→ PixDetailsDto
steamskinsSteamSkinsDetailsDtoOptional
→ SteamSkinsDetailsDto
method_typestringRequired
The payment method type
updated_atstringOptional
The date and time when this payment method was last updated
order_idFlakeIdRequired
platform_fee_amountintegerRequired
The platform fee amount in smallest currency unit
platform_fee_rateintegerRequired
The platform fee rate applied to this payment (in basis points)
presentment_amountintegerRequired
The amount presented to the customer in smallest currency unit
presentment_currencystringRequired
The currency code used for presentment to the customer
statusenumRequired
Represents payment status
Possible enum values
  • unknown

    Unknown status

  • created

    Payment has been created but not yet processed

  • pending

    Payment is pending processing

  • completed

    Payment has been completed successfully

  • canceled

    Payment has been canceled

  • failed

    Payment has failed

  • refunded

    Payment has been fully refunded

  • chargeback

    Payment has been charged back

  • refund_failed

    Refund processing failed

  • refund_processing

    Refund is currently processing

store_idFlakeIdRequired
store_net_amountintegerRequired
The net amount going to the store in smallest currency unit
tax_amountintegerRequired
The tax amount in smallest currency unit
canceled_atstringOptional
The date and time when this payment was canceled
chargeback_atstringOptional
The date and time when a chargeback was initiated on this payment
chargeback_status_updated_atstringOptional
The date and time when the chargeback status was last updated
completed_atstringOptional
The date and time when this payment was completed
failed_atstringOptional
The date and time when this payment failed
fx_ratenumberOptional
The foreign exchange rate used for currency conversion
last_payment_errorLastPaymentErrorDtoOptional
The last payment decline object.
decline_codeenumRequired
A payment decline reason code.
Possible enum values
  • unknown

    An unknown error occurred during payment processing.

  • generic_decline

    The payment was declined for an unspecified reason.

  • call_issuer

    The payment provider requires the customer to contact them.

  • authentication_required

    Additional authentication is needed to complete the transaction.

  • currency_not_supported

    The chosen currency is not supported by this payment method.

  • duplicate_transaction

    An identical transaction was recently processed.

  • expired_card

    The payment method has passed its expiration date.

  • fraudulent

    The payment was flagged as potentially fraudulent.

  • incorrect_number

    The provided payment number is invalid.

  • incorrect_cvc

    The security code for the payment method is incorrect.

  • incorrect_pin

    The entered PIN is not valid.

  • incorrect_zip

    The provided billing postal code is incorrect.

  • insufficient_funds

    The payment method lacks sufficient funds for the transaction.

  • invalid_account

    The payment method or associated account is not valid.

  • invalid_amount

    The transaction amount is not allowed or is invalid.

  • invalid_expiry_month

    The expiration month for the payment method is invalid.

  • invalid_expiry_year

    The expiration year for the payment method is invalid.

  • issuer_not_available

    The payment provider's systems are currently unavailable.

  • lost_card

    The payment method has been reported as lost.

  • merchant_blacklist

    The transaction was blocked by PayNow's security measures.

  • new_account_information_available

    Updated information is available for the payment method.

  • no_action_taken

    The payment provider took no action on this transaction.

  • pickup_card

    The payment method has been flagged and cannot be used.

  • pin_try_exceeded

    Too many incorrect PIN attempts have been made.

  • restricted_card

    The payment method has restrictions preventing its use.

  • stolen_card

    The payment method has been reported as stolen.

  • testmode_decline

    A test payment method was used in a live environment.

  • try_again_later

    A temporary issue prevented the transaction from completing.

  • security_violation

    A security issue occurred during the transaction.

  • card_velocity_exceeded

    The payment method has exceeded its usage limits.

  • do_not_honor

    The payment provider has chosen not to process this transaction.

  • processing_error

    An error occurred while processing the payment.

  • card_not_supported

    This payment method doesn't support this type of transaction.

  • transaction_not_allowed

    This specific transaction is not permitted for this payment method.

  • authorization_revoked

    The payment authorization has been revoked.

  • store_blocked

    The payment was blocked by one of your store's configured rules.

messagestringRequired
Human-readable decline reason message.
method_idFlakeIdOptional
payout_split_resultsPaymentPayoutSplitResultDto[]Optional
The payout split results for multi-party payments
connected_platform_fee_amountintegerRequired
The connected platform fee amount in smallest currency unit
gateway_fee_amountintegerRequired
The gateway fee amount in smallest currency unit
gross_amountintegerRequired
The gross amount before fees in smallest currency unit
line_idFlakeIdRequired
net_amountintegerRequired
The net amount after all fees in smallest currency unit
platform_fee_amountintegerRequired
The platform fee amount in smallest currency unit
tax_amountintegerRequired
The tax amount in smallest currency unit
user_idFlakeIdRequired
payout_split_rulesPaymentPayoutSplitRuleDto[]Optional
The payout split rules for multi-party payments
line_amount_taxintegerRequired
The tax amount of the line item in smallest currency unit
line_amount_totalintegerRequired
The total amount of the line item in smallest currency unit
line_idFlakeIdRequired
splitsPaymentPayoutSplitRuleSplitDto[]Required
The list of splits defining how the payout should be divided
platform_fee_percentageintegerRequired
The platform fee percentage applied to this split (in basis points)
user_idFlakeIdRequired
percentageintegerOptional
The percentage of the line amount this user receives (in basis points, e.g., 5000 = 50%)
pending_atstringOptional
The date and time when this payment entered pending status
refunded_atstringOptional
The date and time when this payment was last refunded
refundsRefundDto[]Optional
The list of refunds associated with this payment
amountintegerRequired
Amount of the refund in smallest currency unit (e.g., cents)
amount_strstringRequired
String representation of the refund amount, formatted for display
created_atstringRequired
Date and time when the refund was created
currencystringRequired
Three-letter currency code of the refund
customer_idFlakeIdRequired
gateway_fee_amountintegerRequired
Amount of payment processor fees in smallest currency unit
gateway_fee_amount_strstringRequired
String representation of gateway fee amount, formatted for display
idFlakeIdRequired
payment_idFlakeIdRequired
platform_fee_amountintegerRequired
Amount of platform fees in smallest currency unit
platform_fee_amount_strstringRequired
String representation of platform fee amount, formatted for display
refund_from_connected_user_balancebooleanRequired
Indicates whether the refund should be taken from the connected user's balance. Only relevant for platforms.
statusenumRequired
Represents the current status of a refund in the system
Possible enum values
  • created

    Refund has been created but not yet processed

  • approved

    Refund has been approved but not yet processed (reserved for customer requested refunds)

  • processing

    Refund is currently being processed by the payment system

  • completed

    Refund has been successfully completed

  • canceled

    Refund has been canceled before completion

  • failed

    Refund processing has failed

store_idFlakeIdRequired
store_net_amountintegerRequired
Net amount for the store after fees in smallest currency unit
store_net_amount_strstringRequired
String representation of store net amount, formatted for display
store_refund_amountintegerRequired
Amount of the refund to be paid by the store in smallest currency unit
store_refund_amount_strstringRequired
String representation of store refund amount, formatted for display
tax_amountintegerRequired
Amount of tax being refunded in smallest currency unit
tax_amount_strstringRequired
String representation of tax amount, formatted for display
approved_atstringOptional
Optional date and time when the refund was approved
canceled_atstringOptional
Optional date and time when the refund was canceled
completed_atstringOptional
Optional date and time when the refund was completed
failed_atstringOptional
Optional date and time when the refund failed
failure_reasonstringOptional
Reason for failure if the refund has failed
fx_ratestringOptional
Exchange rate used while refunding. Only present for payments made in non-settlement currency.
order_line_idFlakeIdOptional
pending_atstringOptional
Optional date and time when the refund entered pending status
presentment_amountintegerOptional
Optional amount in presentment currency in smallest currency unit
presentment_currencystringOptional
Optional currency code used for presentment to the customer if different from the base currency

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/payments/{paymentId}" \
  -H "Authorization: APIKey TOKEN"
Response200
{
  "amount": 10000,
  "chargeback_status": "none",
  "created_at": "2025-04-01T15:30:45Z",
  "currency": "usd",
  "customer": {
    "created_at": "2024-01-01T00:00:00Z",
    "id": "411486491630370816",
    "metadata": {},
    "store_id": "411486491630370816",
    "profile": {
      "id": "string",
      "name": "string",
      "platform": "steam",
      "avatar_url": "string"
    },
    "steam_id": "76561197960287930",
    "steam": {
      "avatar_url": "string",
      "id": "76561197960287930",
      "name": "string"
    },
    "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
    "minecraft": {
      "avatar_url": "string",
      "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
      "name": "notch"
    },
    "xbox_xuid": "string",
    "minecraft_platform": "unknown",
    "name": "m0uka",
    "updated_at": "2024-01-01T00:00:00Z"
  },
  "customer_id": "411486491630370816",
  "gateway": "stripe",
  "gateway_entity_identifier": "string",
  "gateway_fee_amount": 320,
  "gateway_id": "string",
  "id": "411486491630370816",
  "method": {
    "created_at": "2025-03-15T10:20:30Z",
    "customer_id": "411486491630370816",
    "gateway": "string",
    "gateway_customer_id": "string",
    "gateway_entity_identifier": "string",
    "gateway_id": "string",
    "gateway_type": "card",
    "id": "411486491630370816",
    "method_details": {
      "card": {
        "brand": "visa",
        "country": "US",
        "exp_month": 12,
        "exp_year": 2028,
        "fingerprint": "abc123def456",
        "funding": "credit",
        "last4": "4242",
        "bin": 424242,
        "issuer": "Chase Bank",
        "description": "Visa Signature",
        "brand_product": "F",
        "wallet": {
          "type": "apple_pay"
        }
      },
      "cashapp": {
        "buyer_id": "buyer_abc123",
        "cashtag": "$johndoe"
      },
      "paypal": {
        "country": "US",
        "payer_email": "[email protected]",
        "payer_id": "PAYERID123",
        "payer_name": "John Doe",
        "vault": true,
        "pending_vault_approval": false,
        "standalone_setup": false
      },
      "link": {
        "email": "[email protected]"
      },
      "crypto": {
        "confirmations": 6,
        "crypto_amount": "0.00150000",
        "crypto_currency": "BTC",
        "total_paid": "0.00150000",
        "transaction_hashes": [
          "string"
        ]
      },
      "steamskins": {
        "items": [
          {
            "app_id": 730,
            "id": "string",
            "name": "AK-47 | Redline",
            "price": 2500
          }
        ]
      },
      "ideal": {
        "bank": "abn_amro",
        "bic": "ABNANL2A",
        "iban_last4": 1234,
        "payer_name": "John Doe"
      },
      "p24": {
        "bank": "ing",
        "payer_name": "Jan Kowalski"
      },
      "bancontact": {
        "bank": "bnp_paribas",
        "bank_name": "BNP Paribas",
        "bic": "GEBABEBB",
        "iban_last4": 3456,
        "payer_name": "Jean Dupont"
      },
      "klarna": {
        "country": "SE",
        "method_category": "pay_later"
      },
      "alipay": {
        "buyer_id": "buyer_abc123",
        "fingerprint": "fingerprint_xyz789"
      },
      "pay_by_bank": {
        "bank_name": "Chase Bank",
        "bic": "CHASUS33",
        "country": "US",
        "payer_name": "John Smith"
      },
      "pix": {
        "bank_name": "Banco do Brasil",
        "bank_account_number": "12345-6",
        "payer_name": "João Silva"
      },
      "paysafecard": {
        "first_name": "string",
        "last_name": "string",
        "psc_id": "string",
        "association_id": "string"
      }
    },
    "method_type": "card",
    "updated_at": "2025-03-20T14:30:00Z"
  },
  "order_id": "411486491630370816",
  "platform_fee_amount": 500,
  "platform_fee_rate": 500,
  "presentment_amount": 9500,
  "presentment_currency": "eur",
  "status": "unknown",
  "store_id": "411486491630370816",
  "store_net_amount": 8330,
  "tax_amount": 850,
  "refunds": [
    {
      "amount": 0,
      "amount_str": "string",
      "created_at": "2024-01-01T00:00:00Z",
      "currency": "string",
      "customer_id": "411486491630370816",
      "gateway_fee_amount": 0,
      "gateway_fee_amount_str": "string",
      "id": "411486491630370816",
      "payment_id": "411486491630370816",
      "platform_fee_amount": 0,
      "platform_fee_amount_str": "string",
      "refund_from_connected_user_balance": true,
      "status": "created",
      "store_id": "411486491630370816",
      "store_net_amount": 0,
      "store_net_amount_str": "string",
      "store_refund_amount": 0,
      "store_refund_amount_str": "string",
      "tax_amount": 0,
      "tax_amount_str": "string",
      "order_line_id": "411486491630370816",
      "failure_reason": "string",
      "presentment_currency": "string",
      "presentment_amount": 0,
      "fx_rate": "string",
      "approved_at": "2024-01-01T00:00:00Z",
      "pending_at": "2024-01-01T00:00:00Z",
      "completed_at": "2024-01-01T00:00:00Z",
      "canceled_at": "2024-01-01T00:00:00Z",
      "failed_at": "2024-01-01T00:00:00Z"
    }
  ],
  "method_id": "411486491630370816",
  "fx_rate": 1.085,
  "chargeback_status_updated_at": "2024-01-01T00:00:00Z",
  "payout_split_rules": [
    {
      "line_amount_tax": 850,
      "line_amount_total": 10000,
      "line_id": "411486491630370816",
      "splits": [
        {
          "platform_fee_percentage": 500,
          "user_id": "411486491630370816",
          "percentage": 5000
        }
      ]
    }
  ],
  "payout_split_results": [
    {
      "connected_platform_fee_amount": 100,
      "gateway_fee_amount": 320,
      "gross_amount": 10000,
      "line_id": "411486491630370816",
      "net_amount": 8230,
      "platform_fee_amount": 500,
      "tax_amount": 850,
      "user_id": "411486491630370816"
    }
  ],
  "pending_at": "2025-04-01T15:30:46Z",
  "completed_at": "2025-04-01T15:31:12Z",
  "canceled_at": "2024-01-01T00:00:00Z",
  "failed_at": "2024-01-01T00:00:00Z",
  "refunded_at": "2024-01-01T00:00:00Z",
  "chargeback_at": "2024-01-01T00:00:00Z",
  "last_payment_error": {
    "decline_code": "unknown",
    "message": "string"
  }
}